#include "Services_TripA.h"
#include "Services_ODO.h"
#include "Common_Interface.h"
#include "Communication_Over_CAN.h"
/*** 小计里程 ***/

/*87506-4*/
#pragma location="BACKUP_RAM_CONTENT"
uint16_t                DataTripA;
/*87506-4*/
#pragma location="BACKUP_RAM_CONTENT"
uint8_t                 DataTripAValid;
/*87506-4*/
#pragma location="BACKUP_RAM_CONTENT"
DataTripAStruct         DataTripACalc;
_DataTripAInputStruct   Input_TripA_Para;



void Services_TripA_SaveCall(uint16_t Val_Trip)
{


}


void Services_TripA_100MS_Cbk(void)
{
    uint16_t m_Condition;
    _DataTripAInputStruct   m_TripApara;
//    m_Condition = Get_SigESC_VehicleSpeed();
    m_Condition = 0u;
    if ((m_Condition == 0x1fffu) || (m_Condition == 0x1ffeu))
    {
        m_TripApara.V_Speed_Valid = 0u;
    }
    else
    {
        m_TripApara.V_Speed_Valid = Common_Get_Act_V_Speed_Valid();/*87504*/ /*87505*/
    }

    m_TripApara.Act_V_Speed = Common_Get_Act_V_Speed();/*87505*/ /*87505-1*/
    m_TripApara.MileageRollingCnt = Data_MileageRollingCounter_Read();
    Data_TripA_Set_Para(&m_TripApara);
    Data_TripA_Processing();/*87506-5*/ /*87506-7*/
}